当ブログでも導入しているFacebookのRecommendations Bar(画面の右下に出るやつ)が、いつからかエラーになってました。



Chromeのデベロッパツールなどでよく見てみると、

The parameter app_id is required


とありました。

以前はパラメータなしでも大丈夫だったのですが、app_idのパラメータが必須になったみたいです。

どこの部分かというと、

Recommendations Bar – Facebook開発者

で取得する以下のコードの部分なのですが、

<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/ja_JP/all.js#xfbml=1&appId=xxxxxxxxxxxxxxxx";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>

以前は、こうでも大丈夫でした。

  js.src = "//connect.facebook.net/ja_JP/all.js#xfbml=1";

今はダメみたいです。

ということで、

  js.src = "//connect.facebook.net/ja_JP/all.js#xfbml=1&appId=xxxxxxxxxxxxxxxx";

このように書くようにしたら、正しく表示されるようになりました。



ちゃんとおすすめになっているかはびみょ〜ですが、とりあえずエラーは出なくなりました。

それはさておき、アプリIDのパラメータがapp_idなのかappidなのか、どちらが正しいのか未だにはっきりしないのは私だけでしょうか?

関連記事

Trackback URL